// -------------------------------------------------------------------------------------------------
// xsBotonBarra.hpp
// -------------------------------------------------------------------------------------------------

// Inclusión de la Librería
#include "xsEasyCpp.hpp"

#ifndef __xsBotonBarra_hpp__
#define __xsBotonBarra_hpp__

Clase xsBotonBarra : Publica xsObjeto
{
	Privada:
		
		xsBotonItem *botonBarra;

	Publica:

	    xsBotonBarra();

		Vacio crear(xsCadena etiqueta,
		            Logico   libreria);

	    xsBotonBarra(xsCadena etiqueta,
		             Logico   libreria);

		Vacio asignarManejadorItem(xsBotonItem* manejadorItem);

		xsBotonItem* obtenerManejadorItem();

        Vacio eliminarRelieve();

		Vacio colocarBorde(Entero borde);

		SinSigno Largo conectarSenal(xsCadena         senal, 
		                             xsFuncionRetorno funcion, 
									 xsApuntador      datos);

        SinSigno Largo conectarSenalIntercambiada(xsCadena         senal, 
		                                          xsFuncionRetorno funcion, 
												  xsApuntador      datos);

		Vacio colocarTextoEmergente(xsCadena texto);										  
												  
};

// Fin de la Definición del Archivo
#endif
